Hey,
So lately my Firefox 3 has been giving me a lot of script errors, which usually occur when I am loading a page. Sometimes it's here sometimes it's on my net home, Twifans. I even received it once checking my email.

Is this perhaps it's way of bitching me to upgrade to Firefox 4? Or is there a different problem? I want to upgrade to Firefox 4 but it doesn't yet support my yahoo toolbar, it warned me. I don't know maybe I will anyway but still, is this problem linked to my lack of updating?